'use strict';

var path = require('path');
var watch = require('gulp-watch');
var browserSync = require('browser-sync');
var reload = browserSync.reload;

module.exports = function(gulp, config) {

  var docs = config.docs;
  gulp.task('ng:docs/watch', function() {
    watch(docs.scripts, {cwd: docs.cwd}, function(files) {
      return gulp.start('ng:docs/scripts');
    });
    watch(docs.styles.replace('{**/*.css,*.less,*.sass,*.scss}', '**/*.{css,less,sass,scss}'), {cwd: docs.cwd}, function(files) {
      return gulp.start('ng:docs/styles');
    });
    watch([docs.index, docs.views], {cwd: docs.cwd}, function(files) {
      return gulp.start('ng:docs/views');
    });
  });

  var cwd = path.join(config.dirname, 'templates', 'docs');
  gulp.task('ng:docs/watch~dev', function() {
    watch(docs.scripts, {cwd: cwd}, function(files) {
      return gulp.start('ng:docs/scripts~dev');
    });
    watch(docs.styles.replace('{**/*.css,*.less,*.sass,*.scss}', '**/*.{css,less,sass,scss}'), {cwd: cwd}, function(files) {
      return gulp.start('ng:docs/styles~dev');
    });
    watch([docs.index, docs.views], {cwd: cwd}, function(files) {
      return gulp.start('ng:docs/views');
    });
  });

};
